Bug 739832

Summary: Review Request: django-authenticator - authentication client for django
Product: [Fedora] Fedora Reporter: Matthias Runge <mrunge>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: metherid, notting, package-review, panemade
Target Milestone: ---Flags: panemade: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: django-authenticator-0.1.4-2.fc15 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-10-04 21:12:19 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 739858, 739904, 739908    
Bug Blocks:    

Description Matthias Runge 2011-09-20 07:38:12 UTC
Spec URL: http://www.matthias-runge.de/fedora/django-authenticator.spec
SRPM URL: http://www.matthias-runge.de/fedora/django-authenticator-0.1.4-1.fc15.src.rpm
Description: this is a based on a forked version of django-authopenid module developed for the Askbot forum project.

This module is experimental

-----------

rpmlint -i /home/mrunge/rpmbuild/SRPMS/django-authenticator-0.1.4-1.fc15.src.rpm /home/mrunge/rpmbuild/RPMS/noarch/django-authenticator-0.1.4-1.fc15.noarch.rpm ./django-authenticator.spec 
django-authenticator.src: W: spelling-error %description -l en_US authopenid -> authorized
The value of this tag appears to be misspelled. Please double-check.

django-authenticator.noarch: W: spelling-error %description -l en_US authopenid -> authorized
The value of this tag appears to be misspelled. Please double-check.

2 packages and 1 specfiles checked; 0 errors, 2 warnings.

Comment 1 Rahul Sundaram 2011-09-20 08:06:07 UTC
Requires:       import-utils
---

Is this packaged?

Comment 2 Matthias Runge 2011-09-20 08:16:30 UTC
it is currently not packaged (and included in your list posted to f-devel). Should be marked as dependency, when review request is made

Comment 3 Matthias Runge 2011-09-20 08:40:59 UTC
done

Comment 4 Parag AN(पराग) 2011-09-20 09:51:10 UTC
also missing django-registration as a dependency?

Comment 5 Parag AN(पराग) 2011-09-20 09:54:14 UTC
got it in f15 testing repo.

Comment 6 Matthias Runge 2011-09-20 09:56:34 UTC
It's one of Rahuls packages...

http://koji.fedoraproject.org/koji/packageinfo?packageID=12458

Comment 7 Parag AN(पराग) 2011-09-20 10:02:39 UTC
Please add the required dependencies in spec file from setup.py 

 'django-extra-form-fields',
    'django-registration',
    'import-utils',
    'multi-registry',
    'South',
    'oauth2',
    'python-openid',
    'python-wordpress-xmlrpc',

update the spec file and srpm

Comment 8 Matthias Runge 2011-09-20 10:38:59 UTC
done.

please note, multi-registry and python-wordpress-xmlrpc are not package yet.

Comment 10 Parag AN(पराग) 2011-09-24 07:28:11 UTC
Review:-
+ koji build -> http://koji.fedoraproject.org/koji/taskinfo?taskID=3373352
+ rpmlint output can be ignored as those are only warning messages.
+ source is verified with upstream as (sha1sum)

b971be20f93a489b3bbd53a845bf106e42ad6d90  django-authenticator-0.1.4.tar.gz
b971be20f93a489b3bbd53a845bf106e42ad6d90  ../SOURCES/django-authenticator-0.1.4.tar.gz

APPROVED.

Comment 11 Matthias Runge 2011-09-27 20:17:27 UTC
Thank you for the review.

New Package SCM Request
=======================
Package Name: django-authenticator
Short Description: authentication client for django
Owners: mrunge
Branches: EL6 f15 f16

Comment 12 Gwyn Ciesla 2011-09-28 02:10:50 UTC
Git done (by process-git-requests).

Comment 13 Fedora Update System 2011-09-28 19:56:31 UTC
django-authenticator-0.1.4-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/django-authenticator-0.1.4-1.fc16

Comment 14 Fedora Update System 2011-09-28 19:57:41 UTC
django-authenticator-0.1.4-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/django-authenticator-0.1.4-1.fc15

Comment 15 Fedora Update System 2011-09-29 01:40:39 UTC
django-authenticator-0.1.4-1.fc15 has been pushed to the Fedora 15 testing repository.

Comment 16 Fedora Update System 2011-10-04 21:12:10 UTC
django-authenticator-0.1.4-2.fc16 has been pushed to the Fedora 16 stable repository.

Comment 17 Fedora Update System 2011-10-11 08:30:25 UTC
django-authenticator-0.1.4-2.fc15 has been pushed to the Fedora 15 stable repository.